height: Get blockchain tip height

API: mempool.space:mempool
Endpoint: /blocks/tip/height
Response format: text/plain
Auth: none
Method: GET
Last Status: 200
Latency: 202ms

Description

Returns the current height of the Bitcoin blockchain tip (latest block). Use this to determine the most recent block height for relative queries or to check sync status.

From spec: Returns the height of the latest block in the blockchain.

Usage Tips

- No authentication required - Returns a plain integer value - Useful for calculating confirmation depths

Examples (1)

Get current blockchain tip height probe-gate

Demonstrates fetching the current height of the latest block in the Bitcoin blockchain

curl 'https://mempool.space/api/blocks/tip/height'
import requests

resp = requests.get("https://mempool.space/api/blocks/tip/height")
data = resp.json()
import zingu_apis

api = zingu_apis.api("mempool")
result = api.fetch("blocks/tip/height")

for item in result:
    print(item)
const resp = await fetch("https://mempool.space/api/blocks/tip/height");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:41:07.319171 200 202ms
2026-04-16 02:45:30.321488 200 144ms
2026-04-15 01:01:11.834825 200 149ms
2026-04-14 02:27:49.277273 200 148ms
2026-04-12 16:34:11.167781 200 144ms
2026-04-10 01:22:54.143262 200 81ms
2026-04-09 01:35:19.203451 200 170ms
2026-04-08 02:19:18.372246 200 133ms
2026-04-07 00:43:01.143458 200 141ms
2026-04-06 04:25:50.253851 200 273ms
2026-04-05 03:12:10.562970 200 148ms